import request from '@/apps/mobile/utils/request'


// 会费管理分页列表
export function queryMemberFeeList(data) {
    return request({
        method: 'post',
        url: '/api/vipFeeSettings/query-page',
        data,
    });
}


// 新增会费
export function addMemberFee(data) {
    return request({
        method: 'post',
        url: '/api/vipFeeSettings/insert',
        data,
    });
}

// 修改会费
export function updateMemberFee(data) {
    return request({
        method: 'put',
        url: '/api/vipFeeSettings/update',
        data,
    });
}


// 根据id删除
export function deleteMemberFeeById(data) {
    return request({
        method: 'delete',
        url: `/api/vipFeeSettings/delete`,
        data,
    });
}


// 批量删除
export function deleteBatchMemberFee(data) {
    return request({
        method: 'delete',
        url: `/api/vipFeeSettings/delete-batch`,
        data,
    });
}


// 会费审核
export function memberFeeApprove(data) {
    return request({
        method: 'post',
        url: '/api/vipFeeSettings/examine',
        data,
    });
}

// 获取所有的vip角色
export function getVipUserLevel() {
    return request({
        method: 'get',
        url: '/api/userLevelRules/getVipUserLevel',
    });
}



// 用户类型下所有会费
export function queryAllMemberFeeById(userLevelId) {
    return request({
        method: 'get',
        url: `/api/vipFeeSettings/query-all/${userLevelId}`,
    });
}


